org.keycloak.proxy

## Class ProxyConfig.Application

- java.lang.Object
- - org.keycloak.proxy.ProxyConfig.Application

- Enclosing class:
    ProxyConfig

      public static class ProxyConfig.Application
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdapterConfig` | `adapterConfig`
    `protected String` | `basePath`
    `protected List<ProxyConfig.Constraint>` | `constraints`
    `protected String` | `errorPage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyConfig.Application()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdapterConfig` | `getAdapterConfig()`
    `String` | `getBasePath()`
    `List<ProxyConfig.Constraint>` | `getConstraints()`
    `String` | `getErrorPage()`
    `void` | `setAdapterConfig(AdapterConfig adapterConfig)`
    `void` | `setBasePath(String basePath)`
    `void` | `setConstraints(List<ProxyConfig.Constraint> constraints)`
    `void` | `setErrorPage(String errorPage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### basePath

          protected String basePath

    - #### adapterConfig

          protected AdapterConfig adapterConfig

    - #### errorPage

          protected String errorPage

    - #### constraints

          protected List<ProxyConfig.Constraint> constraints

  - ### Constructor Detail

    - #### ProxyConfig.Application

          public ProxyConfig.Application()

  - ### Method Detail

    - #### getBasePath

          public String getBasePath()

    - #### setBasePath

          public void setBasePath(String basePath)

    - #### getAdapterConfig

          public AdapterConfig getAdapterConfig()

    - #### setAdapterConfig

          public void setAdapterConfig(AdapterConfig adapterConfig)

    - #### getErrorPage

          public String getErrorPage()

    - #### setErrorPage

          public void setErrorPage(String errorPage)

    - #### getConstraints

          public List<ProxyConfig.Constraint> getConstraints()

    - #### setConstraints

          public void setConstraints(List<ProxyConfig.Constraint> constraints)

Copyright © 2015. All rights reserved.